Bug 116163 - PPTX: Chart labels are too long
Summary: PPTX: Chart labels are too long
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.1.0 target:6.0.3 target:5.4.7
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-03 18:13 UTC by Szymon Kłos
Modified: 2018-03-22 09:31 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
sample (46.48 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-03-03 18:13 UTC, Szymon Kłos
Details
comparison (60.33 KB, image/png)
2018-03-03 18:14 UTC, Szymon Kłos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Szymon Kłos 2018-03-03 18:13:45 UTC
Created attachment 140313 [details]
sample

Open sample file.

Result: Labels are too long
Expected: MSO has shortened labels
Comment 1 Szymon Kłos 2018-03-03 18:14:12 UTC
Created attachment 140314 [details]
comparison
Comment 2 Commit Notification 2018-03-04 11:11:53 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35d062f7879d5414334643cb90bff411726b2168

tdf#116163: Limit label height in chart if needed

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-03-07 20:49:50 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dac81c4dc76e6061c9e41957b980206f2b6c730e

tdf#116163 import test

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-03-15 16:00:45 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c9cd49df8e806d1f0bfd62f62ba057d54186ee8&h=libreoffice-6-0

tdf#116163 import test

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-03-16 01:53:38 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87d8df83efd210a322b42f590aaff3d2e8efe2bc&h=libreoffice-6-0

tdf#116163: Limit label height in chart if needed

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-03-16 12:11:24 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1032bf3925f4e51ab65c083d2bd921448bebe5e2&h=libreoffice-6-0-3

tdf#116163: Limit label height in chart if needed

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-03-22 09:31:13 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b80e54640e20657402656614228998e0544a842&h=libreoffice-5-4

tdf#116163: Limit label height in chart if needed

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-03-22 09:31:19 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a9a239a1ce799275b8b6eab49ec06b51894f5eb&h=libreoffice-5-4

tdf#116163 import test

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.